Skip to main content
POST
/
misc
Create Bank Detail
curl --request POST \
  --url https://gateway.varchev.com/wallet/misc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "type": "wallet_owner_platform",
  "data": {
    "bankName": "<string>",
    "holderName": "<string>",
    "accountNumber": "<string>",
    "iban": "<string>",
    "bic": "<string>",
    "email": "<string>",
    "mobileNumber": "<string>",
    "currency": "<string>"
  },
  "ownerId": "<string>",
  "updatedBy": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant Id

Body

application/json
type
enum<string>
Available options:
wallet_owner_platform,
wallet_owner_bank,
wallet_owner_blockchain,
swift_bank,
sepa_bank,
exchange,
blockchain
data
object
ownerId
string
updatedBy
string

Response

default

Default response